# Brand kit media folders

## Brand kit media folders

This endpoint makes an HTTP GET request to list brand kit's media folders.

### Request

* Method: GET
* Endpoint: `https://api.thebrief.ai/v1/brandkit/mediaFolders`
* Query Parameters:
  * `brandkitId` (integer, required): The id of the brand kit.
  * `parentId`(integer, optional): The parentId of the media folders.

```
curl --location 'https://api.thebrief.ai/v1/brandkit/mediaFolders' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJ...' \
--data '{
    "brandkitId": 123456,
    "parentId:" 65765,
}'

```

### Response

The response will be in JSON format with the following schema:

```json
{
    "response": [
        {
            "id": 123,
            "name": "Assets folder 1"
        },
                {
            "id": 1234,
            "name": "Assets folder 2"
        },
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thebrief.ai/public-api/rest-api/brand-kits/brand-kit-media-folders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
